View Issue Details

IDProjectCategoryView StatusLast Update
0006097GNUnetUDP transportpublic2020-07-28 08:49
Reporterschanzen Assigned Toschanzen  
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionGit master 
Target Version0.13.1Fixed in Version0.13.1 
Summary0006097: [TNG] UDP transport large messages fail
DescriptionDue to MTU restrictions, large messages cannot be sent atm. The MTU should not affect message size. We should be able to segment messages (see TCP).
Consequently, the tests which use long packet sizes (size test, long message test) in the basic set fail.
TagsNo tags attached.

Relationships

related to 0006098 assignedt3sserakt [TNG] UDP communicator performance issues 
child of 0005710 confirmed TNG meta issue 

Activities

schanzen

2020-06-01 19:21

manager   ~0016220

This is not part of the communicator. Fragmentation will be done at the service. The test is modified to only create packages up to the MTU limit, if one is given.

Issue History

Date Modified Username Field Change
2020-02-18 21:10 schanzen New Issue
2020-02-18 21:10 schanzen Relationship added child of 0005710
2020-02-18 21:13 schanzen Relationship added related to 0006098
2020-04-22 17:22 schanzen Target Version 0.13.0 => 0.14.0
2020-06-01 19:21 schanzen Assigned To => schanzen
2020-06-01 19:21 schanzen Status new => resolved
2020-06-01 19:21 schanzen Resolution open => fixed
2020-06-01 19:21 schanzen Fixed in Version => 0.13.0
2020-06-01 19:21 schanzen Note Added: 0016220
2020-07-09 08:22 schanzen Fixed in Version 0.13.0 => 0.13.1
2020-07-09 08:22 schanzen Target Version 0.14.0 => 0.13.1
2020-07-28 08:49 schanzen Status resolved => closed